---
lang: en
title: 'API docs: authentication.authenticationcomponent.providers'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/authentication
permalink: /doc/en/lb4/apidocs.authentication.authenticationcomponent.providers.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication](./authentication.md) &gt; [AuthenticationComponent](./authentication.authenticationcomponent.md) &gt; [providers](./authentication.authenticationcomponent.providers.md)

## AuthenticationComponent.providers property

**Signature:**

```typescript
providers: {
        [x: string]: typeof AuthenticateActionProvider | typeof AuthenticationMiddlewareProvider | typeof AuthMetadataProvider | typeof AuthenticationStrategyProvider;
    };
```

